<?php include('header.php') ?>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<style>
    .alert {
        padding: 10px;
        margin: 10px 0;
        border-radius: 5px;
    }

    .alert-danger {
        background-color: #f8d7da;
        color: #721c24;
        border: 1px solid #f5c6cb;
    }

    .alert-success {
        background-color: #d4edda;
        color: #155724;
        border: 1px solid #c3e6cb;
    }
</style>


<!-- xc-breadcrumb area start -->
<div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">

        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">Contact Us</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>Contact Us</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->



<!-- cta four start -->
<div class="xc-cta-four__section pt-150">
    <div class="container">
        <div class="row d-flex text-align-center justify-content-center">
            <div class="col-lg-4 col-md-6 wow xcfadeUp">
                <div class="xc-cta-four__box">
                    <div class="xc-cta-four__icon">
                        <span><i class="fa-light fa-envelope"></i></span>
                    </div>
                    <h3 class="xc-cta-four__title">Email Address</a></h3>

                    <p>
                        <a href="mailto:support@triviatrap.ai">support@triviatrap.ai</a><br>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- cta four start -->


<div class="xc-contact-page__section pt-50 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-5">
                <div class="xc-section__title-wrapper mb-30">
                    <h3 class="xc-section__title sm-title wow">Have any <br>
                        questions for us?</h3>
                    <div class="xc-contact-img mt-40 mb-40">
                        <img src="assets/img/resourse/contact-1.png" alt="">
                    </div>
                </div>
            </div>
            <div class="col-lg-7">
                <div class="xc-contact-page__form">
                    <form class="contact-form-validated" action="" method="POST">
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="xc-contact-page__input-box">
                                    <input type="text" id="name" name="name" placeholder="Your Name" value="" required>

                                    <!-- <div class="alert alert-danger"></div> -->
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="xc-contact-page__input-box">
                                    <input type="email" id="email" name="email" placeholder="Your Email" value="" required>

                                    <!-- <div class="alert alert-danger"></div> -->
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="xc-contact-page__input-box">
                                    <input type="text" id="subject" name="subject" placeholder="Subject" value="" required>

                                    <!-- <div class="alert alert-danger"></div> -->
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="xc-contact-page__input-box">
                                    <textarea cols="30" rows="10" id="message" name="message" placeholder="Write A Message" required></textarea>

                                    <!-- <div class="alert alert-danger"></div> -->
                                </div>
                            </div>
                            <div class="col-12">
                                <!-- <div class="g-recaptcha" style="margin-bottom: 30px;" data-sitekey="6Le-upgqAAAAAFq6UeWf8WRFJLOhbj02n3eN0iqr"></div> -->
                                <div class="xc-contact-page__submit">
                                    <button type="submit" class="xc-btn">Send Message</button>
                                </div>
                            </div>
                        </div>
                    </form>

                    <!-- @if(session('success'))
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    @endif
                    @if(session('error-cap'))
                        <div class="alert alert-danger">
                            {{ session('error-cap') }}
                        </div>
                    @endif -->

                    <div class="result"></div><!-- /.result -->
                </div>
            </div>
        </div>
    </div>
</div>
<?php include('footer.php') ?>

<script>
    document.querySelector('.contact-form-validated').addEventListener('submit', function(e) {
        var recaptchaResponse = grecaptcha.getResponse();
        if (recaptchaResponse.length === 0) {
            e.preventDefault(); // Prevent form submission
            alert('Please complete the CAPTCHA to proceed.');
        }
    });
</script>