<?php include('header.php') ?>
<style>
    :root {
        --white: #FFFFFF;
        --black: #000000;
        --gray: #808080;
        --aqua: #00FFFF;
        --mauve: #E0B0FF;
        --deep-purple: #4B0082;
        --light-gray: #F0F0F0;
        --transition: 0.2s;
        --bg-one: hsl(280, 60%, 5%);
        --bg-two: hsl(280, 90%, 15%);
        --stop: 40%;
        --angle: 45deg;
        --border-width: 5px;
        --padlock-size: 300px;
        --border-radius: 30px;
    }

    .activate {
        background-color: #3618d3 !important;
        border-color: transparent !important;
    }

    .deactivate {
        background-color: #3618d3 !important;
        border-color: transparent !important;
    }

    .embed-code {
        background-color: var(--gray);
        border: 1px solid var(--black);
        border-radius: 5px;
        padding: 15px;
        margin: 15px auto;
        overflow-x: auto;
        color: #000000;
    }

    .embed-code1 {
        background-color: var(--gray);
        border: 1px solid var(--black);
        border-radius: 5px;
        padding: 15px;
        margin: 15px auto;
        overflow-x: auto;
        color: #000000;
    }

    .embed-code2 {
        background-color: var(--gray);
        border: 1px solid var(--black);
        border-radius: 5px;
        padding: 15px;
        margin: 15px auto;
        overflow-x: auto;
        color: #000000;
    }

    .copy-button {
        background-color: var(--aqua);
        color: var(--black);
        border: none;
        padding: 8px 16px;
        border-radius: 5px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }

    .xc-btn {
        margin: 3px !important;
    }

    .copy-button:hover {
        background-color: var(--mauve);
    }

    .banner-padding {
        padding-top: 230px !important;
    }

    @media (max-width: 992px) {

        /* lg breakpoint is 992px */
        .banner-padding {
            padding-top: 130px !important;
        }
    }

    .carousel-item img {
        border-radius: 5px;
    }

    .xc-header-banner__btns .owl-carousel .item {
        position: relative;
        width: 100%;
        height: auto;
        padding: 10px;
    }

    .xc-header-banner__btns .owl-carousel .item img {
        display: block;
        width: 100%;
        height: auto;
        border-radius: 10px;
    }


    .xc-header-banner__btns .owl-nav {
        position: absolute;
        top: 40%;
        width: 100%;
        transform: translateY(-60%);
        display: flex;
        justify-content: space-between;
        pointer-events: none;
        /* Ensures only the arrows are clickable */
    }

    .owl-nav button {}

    .xc-header-banner__btns .owl-nav .owl-prev {
        position: absolute;
        left: -60px;
        /* Adjust this value to move the arrow further out */

    }

    .xc-header-banner__btns .owl-nav .owl-next {
        position: absolute;
        right: -60px;
        /* Adjust this value to move the arrow further out */
    }

    .xc-header-banner__btns .owl-nav .owl-prev,
    .xc-header-banner__btns .owl-nav .owl-next {
        background-color: #000 !important;
        border-color: #000 !important;
        color: white !important;
        border: none;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        cursor: pointer;
        font-size: 24px;
        display: flex;
        align-items: center;
        justify-content: center;
        pointer-events: all;
    }

    .xc-header-banner__btns .owl-nav .owl-prev:hover,
    .xc-header-banner__btns .owl-nav .owl-next:hover {
        background-color: #4e43fa !important;
        border-color: #4e43fa !important;
    }

    @media (max-width: 768px) {

        /* lg breakpoint is 992px */
        .xc-header-banner__btns .owl-nav .owl-prev,
        .xc-header-banner__btns .owl-nav .owl-next {
            display: none !important;
        }
    }

    .xc-testimonials-one__carousel .owl-nav,
    .xc-testimonials-one__carousel .owl-dots {
        display: none !important;
    }


    .xc-header-banner__btns .owl-carousel .item {
        position: relative;
        display: inline-block;
        margin: 10px;
    }

    .xc-header-banner__btns .owl-carousel .item img {
        width: 100%;
        height: 400px;
        transition: opacity 0.3s ease;
    }

    /* .xc-header-banner__btns .owl-carousel .item:hover img {
        opacity: 0.3;
    } */

    .xc-header-banner__btns .owl-carousel .item .hover-content {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        display: none;
    }

    .xc-header-banner__btns .owl-carousel .item:hover .hover-content {
        display: block;
    }

    .xc-header-banner__btns .owl-carousel .item .hover-content .xc-btn {
        display: inline-block;
    }

    /* Default style for desktop */
    .showcase-playnow {
        font-size: 40px;
    }

    /* Media query for tablets (between 768px and 1024px) */
    @media (max-width: 1024px) and (min-width: 768px) {
        .showcase-playnow {
            font-size: 30px;
            /* Adjust font size for tablets */
        }
    }

    /* Media query for mobile devices (less than 768px) */
    @media (max-width: 767px) {
        .showcase-playnow {
            font-size: 20px;
            /* Adjust font size for mobile devices */
        }
    }
</style>


<!-- xc-breadcrumb area start -->
<div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">
        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">Embed</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>Embed</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->

<!-- cta one start -->
<div class="xc-cta-one__section wow xcfadeUp " id="embed">
    <div class="container">
        <div class="xc-cta-one__inner p-relative z-1">
            <div class="row align-items-center">
                <div class="col-md-12">
                    <div class="xc-cta-one__content">
                        <div class="xc-cta-one__title-wrapper">
                            <span class="xc-cta-one__tagline"><i
                                    class="fa-solid fa-bolt-lightning"></i>TriviaTrap.ai</span>
                            <h3 class="xc-cta-one__title">Embed TriviaTrap.AI on Your Website</h3>
                        </div>
                        <div class="mt-3">
                            <div id="embedSection">
                                <section id="embed" class="embed-section">
                                    <p>Copy and Paste the code below into the body of your site where you want the quiz to appear. For best results place the quiz Above the Fold.
                                        <br>
                                        To embed an iframe with the current page title
                                        as the subject of the quiz,
                                        use the following code:
                                    </p>
                                    <div class="embed-code">
                                        <pre><code>&lt;script&gt;
     document.addEventListener('DOMContentLoaded', function() {
        function getParentTitle() {
            return encodeURIComponent(document.title);
        }

        function getParentDomain() {
            return encodeURIComponent(window.location.hostname);
        }

        // Get all iframe elements with the class "iframe-class"
        let iframes = document.getElementsByClassName('iframe-class');
        let title = getParentTitle();
        let domain = getParentDomain();

        for (let i = 0; i < iframes.length; i++) {
            iframes[i].src = "https://triviatrap.ai/store-mcqs?content=" + title + "&domain=" + domain;
        }
    });
&lt;/script&gt;
&lt;iframe class="iframe-class" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
&lt;script&gt;
    const iframes = document.getElementsByClassName('iframe-class');

    Array.from(iframes).forEach((iframe) => {
        iframe.onload = function() {
            try {
                // Attempt to get the content height
                let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                contentHeight = contentHeight + 30;
                iframe.style.height = contentHeight + 'px';
            } catch (error) {
                iframe.style.height = '250px';
            }
        };
    });
&lt;/script&gt;</code></pre>
                                    </div>
                                    <button class="xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                                </section>
                                `
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- cta one end  -->

<!-- cta one start -->
<div class="xc-cta-one__section wow xcfadeUp" id="embed">
    <div class="container">
        <div class="xc-cta-one__inner theme-bg-2 p-relative z-1">
            <div class="xc-cta-one__shape">
                <img src="assets/img/shapes/cta-shape-1.png" alt="shape-1">
            </div>
            <div class="row align-items-center">
                <div class="col-md-12">
                    <div class="xc-cta-one__content">
                        <div class="xc-cta-one__title-wrapper">
                            <h3 class="xc-cta-one__title">Embed TriviaTrap.AI using custom tags</h3>
                        </div>
                        <div class="mt-3">
                            <div id="embedSection">
                                <div class="input-section">
                                    <label for="contentInput">Enter the keyword which will become subject for the quiz.</label><br>
                                    <label for="contentInput">Keyword:</label>
                                    <div class="xc-contact-page__input-box">
                                        <input type="text" id="contentInput" placeholder="Keyword Here" required=""
                                            aria-required="true">
                                    </div>
                                    <label for="domainInput">Your Website Domain:</label>
                                    <div class="xc-contact-page__input-box">
                                        <input type="text" id="domainInput" placeholder="Domain Here" required=""
                                            aria-required="true">
                                    </div>
                                    <button class="cta-button xc-btn" onclick="generateEmbedCode()">Generate</button>
                                    <div class="error" id="error"></div>
                                </div>
                                <div id="customEmbedSection"></div>
                                `
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- cta one end  -->


<!-- cta one start -->
<div class="xc-cta-one__section wow xcfadeUp " id="embed">
    <div class="container">
        <div class="xc-cta-one__inner p-relative z-1">
            <div class="row align-items-center">
                <div class="col-md-12">
                    <div class="xc-cta-one__content">
                        <div class="xc-cta-one__title-wrapper">
                            <h3 class="xc-cta-one__title">Embed TriviaTrap.AI using dynamic meta tags</h3>
                        </div>
                        <div class="mt-3">
                            <div id="embedSection">
                                <div class="input-section">
                                    <label for="metaNameInput">Enter a Meta Name which will become subject for the quiz:</label>
                                    <div class="xc-contact-page__input-box">
                                        <input type="text" id="metaNameInput" placeholder="Meta Name Here" required=""
                                            aria-required="true">
                                    </div>
                                    <button class="cta-button xc-btn" onclick="generateMetaEmbedCode()">Generate</button>
                                    <div class="error" id="error"></div>
                                </div>
                                <div id="customEmbedSection1"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- cta one end  -->


<?php include('footer.php') ?>


<script src="assets/vendors/gsap/ScrollSmoother.min.js"></script>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const metaButton = document.getElementById('metaButton');
        const customButton = document.getElementById('customButton');
        const customMetaButton = document.getElementById('customMetaButton');

        function activateButton(button) {
            // Remove 'active' class from all buttons
            metaButton.classList.remove('activate');
            customButton.classList.remove('activate');
            customMetaButton.classList.remove('activate');

            // Add 'active' class to the clicked button
            button.classList.add('activate');
        }
        activateButton(metaButton);
        metaButton.addEventListener('click', function() {
            activateButton(metaButton);
        });
        customMetaButton.addEventListener('click', function() {
            activateButton(customMetaButton);
        });
        customButton.addEventListener('click', function() {
            activateButton(customButton);
        });

    });

    document.getElementById('metaButton').addEventListener('click', function() {
        metaButton.addEventListener('click', function() {
            activateButton(metaButton);
        });
        document.getElementById('embedSection').innerHTML = `
                                    <section id="embed" class="embed-section">
                                        <p>Copy and Paste the code below into the body of your
                                        site where you want the quiz to appear. For best results place the quiz Above the Fold.
                                        <br>
                                        To embed an iframe with the current page title
                                        as the subject of the quiz,
                                        use the following code:</p>
                                        <div class="embed-code">
                                            <pre><code>&lt;script&gt;
     document.addEventListener('DOMContentLoaded', function() {
        function getParentTitle() {
            return encodeURIComponent(document.title);
        }

        function getParentDomain() {
            return encodeURIComponent(window.location.hostname);
        }

        // Get all iframe elements with the class "iframe-class"
        let iframes = document.getElementsByClassName('iframe-class');
        let title = getParentTitle();
        let domain = getParentDomain();

        for (let i = 0; i < iframes.length; i++) {
            iframes[i].src = "https://triviatrap.ai/store-mcqs?content=" + title + "&domain=" + domain;
        }
    });
&lt;/script&gt;
&lt;iframe class="iframe-class" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
&lt;script&gt;
    const iframes = document.getElementsByClassName('iframe-class');

    Array.from(iframes).forEach((iframe) => {
        iframe.onload = function() {
            try {
                // Attempt to get the content height
                let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                contentHeight = contentHeight + 30;
                iframe.style.height = contentHeight + 'px';
            } catch (error) {
                iframe.style.height = '250px';
            }
        };
    });
&lt;/script&gt;</code></pre>
                                        </div>
                                        <button class="xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                                    </section>
                                `;

    });


    function generateMetaEmbedCode() {
        const content = document.getElementById('metaNameInput').value.trim();
        const errorDiv = document.getElementById('error');

        if (!content) {
            errorDiv.textContent = 'Meta Name field is required.';
            return;
        }

        errorDiv.textContent = ''; // Clear any previous error messages
        document.getElementById('customEmbedSection1').innerHTML = `
                            <section id="embed" class="embed-section">
                                <p>Copy and Paste the code below into the body of your
                    site where you want the quiz to appear. For best results place the quiz Above the Fold.
                    <br>
                    To embed an iframe with the current page title
                    as the subject of the quiz,
                    use the following code:</p>
                                <div class="embed-code1">
                                    <pre><code>&lt;script&gt;
    document.addEventListener('DOMContentLoaded', function() {
        function getMetaContent(name) {
            let meta = document.querySelector('meta[name="' + name + '"]');
            return meta ? encodeURIComponent(meta.getAttribute('content')) : '';
        }

        function getParentDomain() {
            return encodeURIComponent(window.location.hostname);
        }

        let iframes = document.querySelectorAll('iframe#myIframeD');
        
        iframes.forEach(function(iframe) {
            let metaName = iframe.dataset.metaName || 'title';  // Default to 'title'
            let metaContent = getMetaContent(metaName) || '${content}';
            let domain = getParentDomain();
            iframe.src = "https://triviatrap.ai/store-mcqs?content=" + metaContent + "&domain=" + domain;
        });
    });
&lt;/script&gt;
&lt;iframe id="myIframeD" data-meta-name="${content}" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
&lt;script&gt;
    const iframes = document.querySelectorAll('iframe#myIframeD');
    
    iframes.forEach(function(iframe) {
        iframe.onload = function() {
            try {
                // Attempt to get the content height
                let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                contentHeight = contentHeight + 30;
                iframe.style.height = contentHeight + 'px'; // Set dynamic height
            } catch (error) {
                iframe.style.height = '250px'; // Fallback height if unable to calculate
            }
        };
    });
&lt;/script&gt;</code></pre>
            </div>
            <button class="xc-btn" onclick="copyEmbedCode1()">Copy Embed Code</button>
        </section>
    `;
    }




    function generateEmbedCode() {
        const content = document.getElementById('contentInput').value.trim();
        const domain = document.getElementById('domainInput').value.trim();
        const errorDiv = document.getElementById('error');

        if (!content || !domain) {
            errorDiv.textContent = 'Both fields are required.';
            return;
        }

        errorDiv.textContent = ''; // Clear any previous error messages

        document.getElementById('customEmbedSection').innerHTML = `
                    <p>Copy and Paste the code below into the body of your
                        site where you want the quiz to appear. For best results place the quiz Above the Fold.
                        <br>
                        To embed an iframe with the current page title
                        as the subject of the quiz,
                        use the following code:</p>
                                    <section id="embed" class="embed-section">
                                        <p>
                        </p>
                                        <div class="embed-code2">
<pre><code>&lt;iframe id="myIframe" src="https://triviatrap.ai/store-mcqs?content=${content}&amp;domain=${domain}" style="width: 300px; height:250px;"&gt;&lt;/iframe&gt;
&lt;script&gt;
    // Select all iframes with id 'myIframe'
    document.addEventListener('DOMContentLoaded', function() {
        let iframes = document.querySelectorAll('#myIframe');

        iframes.forEach(iframe => {
            iframe.onload = function() {
                try {
                    // Attempt to get the content height
                    let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                    contentHeight = contentHeight + 30;
                    iframe.style.height = contentHeight + 'px';
                } catch (error) {
                    iframe.style.height = '250px';
                }
            };
        });
    });

&lt;/script&gt;</code></pre>
                                        </div>
                                        <button class="copy-button xc-btn" onclick="copyEmbedCode2()">Copy Embed Code</button>
                                    </section>
                    `;
    }

    function copyEmbedCode() {
        const code = document.querySelector('.embed-code pre code').innerText;
        navigator.clipboard.writeText(code).then(function() {
            alert('Embed code copied to clipboard');
        }, function(err) {
            alert('Could not copy text: ', err);
        });
    }

    function copyEmbedCode1() {
        const code = document.querySelector('.embed-code1 pre code').innerText;
        navigator.clipboard.writeText(code).then(function() {
            alert('Embed code copied to clipboard');
        }, function(err) {
            alert('Could not copy text: ', err);
        });
    }

    function copyEmbedCode2() {
        const code = document.querySelector('.embed-code2 pre code').innerText;
        navigator.clipboard.writeText(code).then(function() {
            alert('Embed code copied to clipboard');
        }, function(err) {
            alert('Could not copy text: ', err);
        });
    }
    $(document).ready(function() {
        $('.owl-carousel').owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            autoplay: true, // Enables auto-scroll
            autoplayTimeout: 3000, // Time between auto-scrolls (3 seconds)
            autoplayHoverPause: true, // Pauses auto-scroll on hover
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 2
                },
                1000: {
                    items: 2
                }
            },
            navText: [
                "<i class='fas fa-chevron-left'></i>",
                "<i class='fas fa-chevron-right'></i>"
            ] // Custom navigation icons
        });
    });
</script>

<!-- Owl Carousel JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>