<?php include('header.php') ?>

<!-- xc-breadcrumb area start -->
<div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">
        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">Privacy Policy</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>Privacy Policy</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->



<!--about one start  -->
<section class="xc-about-one__section pt-90 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="xc-about-one__right  wow xcfadeRight">
                    <div class="xc-section__title-wrapper">
                        <p>At TriviaTrap.AI, we are committed to protecting your privacy and ensuring the security of your personal information. This Privacy Policy outlines our practices concerning the collection, use, and protection of your data when you use our service.</p>
                        <h3 class="xc-section__title wow">1. Information We Collect
                        </h3>
                        <p class="mb-20">We collect the following types of information:
                        </p>
                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Quiz responses and performance data</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Usage statistics and interaction data</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Device and browser information</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>IP addresses</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Cookies and similar technologies</p>
                                </li>
                            </ul>
                        </div>

                        <h3 class="xc-section__title wow">2. How We Use Your Information
                        </h3>
                        <p>We use the collected information to:</p>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Provide and improve our quiz services</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Personalize your quiz experience</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Analyze and enhance our AI algorithms</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Communicate with you about our service</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Ensure the security and integrity of our platform</p>
                                </li>
                            </ul>
                        </div>


                        <h3 class="xc-section__title wow">3. Data Protection
                        </h3>
                        <p>We implement industry-standard security measures to protect your data, including:</p>
                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Encryption of data in transit and at rest</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Regular security audits and penetration testing</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Strict access controls and employee training</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Compliance with applicable data protection regulations</p>
                                </li>
                            </ul>
                        </div>


                        <h3 class="xc-section__title wow">4. Data Sharing and Third Parties
                        </h3>
                        <p>We do not sell your personal information to third parties. We may share anonymized, aggregated data with our partners for research and improvement purposes. Any third-party service providers we use are bound by strict confidentiality agreements.</p>








                        <h3 class="xc-section__title wow">5. Your Rights and Choices
                        </h3>
                        <p>You have the right to:</p>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Access and review your personal information
                                    </p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Request corrections to your data
                                    </p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Delete your account and associated data
                                    </p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Opt-out of certain data collection practices
                                    </p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Lodge a complaint with a supervisory authority

                                    </p>
                                </li>
                            </ul>
                        </div>





                        <h3 class="xc-section__title wow">6. Children's Privacy

                        </h3>

                        <p>TriviaTrap.AI is not intended for children under the age of 13. We do not knowingly collect personal information from children under 13. If you believe we have inadvertently collected such information, please contact us immediately.

                        </p>

                        <h3 class="xc-section__title wow">7. Changes to This Policy
                        </h3>


                        <p>We may update this Privacy Policy from time to time. We will notify you of any significant changes by posting a notice on our website or sending you an email.

                        </p>



                        <h3 class="xc-section__title wow">8. Contact Us

                        </h3>

                        <p>If you have any questions or concerns about our Privacy Policy, please contact us at:

                        </p>
                        <p>Email: <a href="mailto:support@triviatrap.ai">support@triviatrap.ai</a></p>





                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about one end  -->
<?php include('footer.php') ?>