<?php include('header.php') ?>

<!-- xc-breadcrumb area start -->
<div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">
        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">Terms and Conditions</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>Terms and Conditions</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->



<!--about one start  -->
<section class="xc-about-one__section pt-90 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="xc-about-one__right  wow xcfadeRight">
                    <div class="xc-section__title-wrapper">
                        <span class="xc-section__subtitle">Triviatrap</span>
                        <h3 class="xc-section__title wow">1- Acceptance of Terms
                        </h3>
                        <p class="mb-20">By embedding TriviaTrap.AI on your website or using our services, you agree to comply with and be bound by the following terms and conditions. Please read these carefully before using TriviaTrap.AI.
                        </p>
                        <h3 class="xc-section__title wow">2. Publisher Eligibility
                        </h3>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>You must be at least 18 years old to use TriviaTrap.AI as a publisher.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>You must own or have the legal right to use the website where TriviaTrap.AI is embedded.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Your website must comply with all applicable laws and regulations.</p>
                                </li>
                            </ul>
                        </div>

                        <h3 class="xc-section__title wow">3. Content Guidelines
                        </h3>
                        <p>Publishers are responsible for ensuring that their website content adheres to the following guidelines:</p>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Content must be family-friendly and suitable for all ages.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>No explicit, offensive, or adult content is allowed.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Content must not promote hate speech, discrimination, or violence.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Content must not infringe on any intellectual property rights.</p>
                                </li>
                            </ul>
                        </div>
                        <p>TriviaTrap.AI reserves the right to remove our quiz system from any website that violates these content guidelines without prior notice.</p>


                        <h3 class="xc-section__title wow">4. Quiz Implementation
                        </h3>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Publishers must use the official TriviaTrap.AI embed code provided.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>The embed code must not be modified without explicit permission from TriviaTrap.AI.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Publishers may not attempt to reverse engineer or manipulate the quiz system.</p>
                                </li>
                            </ul>
                        </div>










                        <h3 class="xc-section__title wow">5. Advertising and Revenue
                        </h3>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>TriviaTrap.AI displays advertisements within the quiz interface.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Publishers receive a 60% share of the advertising revenue generated from their website's quizzes.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Revenue is calculated based on impressions, clicks, and user engagement.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Any attempt to artificially inflate engagement or manipulate the revenue system is strictly prohibited and may result in termination of the publisher's account.</p>
                                </li>
                            </ul>
                        </div>





                        <h3 class="xc-section__title wow">6. Payments
                        </h3>

                        <div class="xc-about-one__feature">
                            <ul class="xc-about-one__feature-list list-unstyled">
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Payments are made monthly for balances over $100.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Publishers are responsible for providing accurate payment information.</p>
                                </li>
                                <li>
                                    <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>TriviaTrap.AI is not responsible for any taxes on the revenue earned by publishers.</p>
                                </li>
                            </ul>
                        </div>


                        <h3 class="xc-section__title wow">7. Intellectual Property
                        </h3>

                        <p>All content, trademarks, and intellectual property related to TriviaTrap.AI are owned by TriviaTrap.AI. Publishers may not use our intellectual property without explicit permission.</p>



                        <h3 class="xc-section__title wow">8. Limitation of Liability
                        </h3>

                        <p>TriviaTrap.AI is provided "as is" without any warranties. We are not liable for any damages or losses resulting from the use of our service.</p>




                        <h3 class="xc-section__title wow">9. Termination
                        </h3>

                        <p>TriviaTrap.AI reserves the right to terminate or suspend access to our services for any reason, including violation of these terms and conditions.</p>


                        <h3 class="xc-section__title wow">10. Changes to Terms
                        </h3>

                        <p>We may update these terms and conditions from time to time. Publishers will be notified of any significant changes.</p>
                        <p>By using TriviaTrap.AI, you acknowledge that you have read, understood, and agree to be bound by these terms and conditions.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about one end  -->
<?php include('footer.php') ?>