<?php include('header.php') ?>
<!-- xc-breadcrumb area start -->
<div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">
        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">About Us</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>About Us</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->



<!--about one start  -->
<section class="xc-about-one__section pt-90 pb-90">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="xc-about-one__img mb-30 wow xcfadeLeft">
                    <img data-tilt="" src="assets/img/resourse/aipic.png" alt="" style="width:100%;">
                </div>
            </div>

            <div class="col-lg-6">
                <div class="xc-about-one__right  wow xcfadeRight">
                    <div class="xc-section__title-wrapper">
                        <span class="xc-section__subtitle">who we are</span>
                        <h3 class="xc-section__title wow">Engage, Educate, and <br> Monetize Effortlessly
                        </h3>
                        <p class="mb-20">At TriviaTrap.AI, we’re a passionate team of developers, designers, and trivia enthusiasts dedicated to creating engaging, interactive experiences for the web. With a deep commitment to seamless integration and responsive design, we build trivia solutions that elevate user engagement across all platforms.
                        </p>
                    </div>
                    <div class="xc-about-one__feature">
                        <ul class="xc-about-one__feature-list list-unstyled">
                            <li>
                                <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Instant Quiz Generation</p>
                            </li>
                            <li>
                                <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Multi-Lingual Support</p>
                            </li>
                            <li>
                                <p><span class="xc-icon"><i class="fa-solid fa-check"></i></span>Boost Engagement and Revenue</p>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about one end  -->

<!-- testimonial one start  -->
<section class="xc-testimonial-one__section theme-bg-5 pt-110 pb-90">
    <div class="container">
        <div class="xc-section__title-wrapper text-center mb-60">
            <span class="xc-section__subtitle">TESTIMONIAL</span>
            <h3 class="xc-section__title wow">See why people like you <br> choose TriviaTrap.AI</h3>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="xc-testimonial-one__item bg-white mb-30 wow fadeInUp">
                    <div class="xc-testimonial-one__avata">
                        <div class="xc-testimonial-one__img">
                            <img src="assets/img/testimonial/tes-1-1.jpg" alt="">
                        </div>
                        <div class="xc-testimonial-one__name">
                            <h3>Crystal Ramirez</h3>
                            <span class="xc-testimonial-one__bio">Vice President & COO</span>
                        </div>
                    </div>
                    <div class="xc-testimonial-one__content">
                        <div class="xc-testimonial-one__ratting">
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>

                        </div>
                        <h3 class="xc-testimonial-one__title">A fun and educational experience!</h3>
                        <p class="xc-testimonial-one__review">Our readers love the quizzes generated by TriviaTrap.AI. They’re not only fun but also enhance the learning experience, which keeps people coming back.</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="xc-testimonial-one__item bg-white mb-30 wow fadeInUp">
                    <div class="xc-testimonial-one__avata">
                        <div class="xc-testimonial-one__img">
                            <img src="assets/img/testimonial/tes-1-2.jpg" alt="">
                        </div>
                        <div class="xc-testimonial-one__name">
                            <h3>Kristin Minasian</h3>
                            <span class="xc-testimonial-one__bio">Digital Content Producer</span>
                        </div>
                    </div>
                    <div class="xc-testimonial-one__content">
                        <div class="xc-testimonial-one__ratting">
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>

                        </div>
                        <h3 class="xc-testimonial-one__title">Seamless integration, powerful results!</h3>
                        <p class="xc-testimonial-one__review">Embedding TriviaTrap.AI was incredibly easy, and the impact on our site’s engagement and revenue was immediate. Highly recommend it to any website owner!</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="xc-testimonial-one__item bg-white mb-30 wow fadeInUp">
                    <div class="xc-testimonial-one__avata">
                        <div class="xc-testimonial-one__img">
                            <img src="assets/img/testimonial/tes-1-3.jpg" alt="">
                        </div>
                        <div class="xc-testimonial-one__name">
                            <h3>Kristin Minasian</h3>
                            <span class="xc-testimonial-one__bio">Chief Revenue Officer</span>
                        </div>
                    </div>
                    <div class="xc-testimonial-one__content">
                        <div class="xc-testimonial-one__ratting">
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>

                        </div>
                        <h3 class="xc-testimonial-one__title">Increased engagement instantly!</h3>
                        <p class="xc-testimonial-one__review">TriviaTrap.AI transformed how our visitors interact with our content. The contextual quizzes are spot on, and our average time on page has skyrocketed!</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="xc-testimonial-one__item bg-white mb-30 wow fadeInUp">
                    <div class="xc-testimonial-one__avata">
                        <div class="xc-testimonial-one__img">
                            <img src="assets/img/testimonial/tes-1-4.jpg" alt="">
                        </div>
                        <div class="xc-testimonial-one__name">
                            <h3>Samrat Islam</h3>
                            <span class="xc-testimonial-one__bio">Product Manager</span>
                        </div>
                    </div>
                    <div class="xc-testimonial-one__content">
                        <div class="xc-testimonial-one__ratting">
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>
                            <span><i class="fa-solid fa-star"></i></span>

                        </div>
                        <h3 class="xc-testimonial-one__title">Adaptive quizzes that challenge our audience!</h3>
                        <p class="xc-testimonial-one__review">The adaptive difficulty feature is brilliant! Our users love the personalized challenge, and it keeps them more engaged than standard quizzes ever did.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- testimonial one end  -->
<?php include('footer.php') ?>