<?php include('header.php') ?>
    <!-- xc-breadcrumb area start -->
    <div class="xc-breadcrumb__area pt-90">
    <div class="xc-breadcrumb__bg w-img">
        <img src="assets/img/backgroud/breadcrumb-bg.png" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-12">
                <div class="xc-breadcrumb__content text-center p-relative z-index-1">
                    <h3 class="xc-breadcrumb__title">FAQs</h3>
                    <div class="xc-breadcrumb__list">
                        <span><a href="index.php">Home</a></span>
                        <span class="dvdr">/</span>
                        <span>FAQs</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- xc-breadcrumb area end -->

<!-- faq one start  -->
<section class="xc-faq-two__section pt-90 pb-90" id="faq">
    <div class="container">
        <div class="xc-section__title-wrapper text-center mb-60 wow xcfadeUp">
            <h3 class="xc-section__title wow">Frequently Asked Questions</h3>
        </div>
        <div class="row">
            <div class="xc-accrodion-grp" data-grp-name="faq-two-xc-accrodion">
                <div class="xc-accrodion active ">
                    <div class="xc-accrodion-title">
                        <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                        <h4>How do I load the embed code on my website?</h4>
                    </div>
                    <div class="xc-accrodion-content">
                        <div class="inner">
                            <p>To load the TriviaTrap.AI embed code on your website, follow these steps:</p>
                            <ul class="ml-100 faqs_left_margin_small_screen_none">
                                <li>Copy the embed code provided above.</li>
                                <li>Paste the code into the HTML of your website where you want the quiz to
                                    appear.</li>
                                <li>Ensure that the code is placed within the &lt;body&gt; tag of your HTML.
                                </li>
                                <li>Save your changes and refresh your website to see the TriviaTrap.AI quiz in
                                    action!</li>

                            </ul>
                        </div>
                    </div>
                </div>
                <div class="xc-accrodion">
                    <div class="xc-accrodion-title">
                        <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                        <h4>Is TriviaTrap free to use?</h4>
                    </div>
                    <div class="xc-accrodion-content">
                        <div class="inner">
                            <p>Yes! Currently, TriviaTrap.AI is offering free access to our quiz embedding code as part of a limited-time promotion. You can embed real-time, contextual quizzes on your website with no cost, helping you boost engagement and earn ad revenue without any upfront investment. To remove ads on quizzes please contact us at <a href="mailto:support@triviatrap.ai" class="fw-bold fs-5 text-black">support@triviatrap.ai</a></p>
                        </div><!-- /.inner -->
                    </div>
                </div>
                <div class="xc-accrodion">
                    <div class="xc-accrodion-title">
                        <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                        <h4>What is your privacy policy?</h4>
                    </div>
                    <div class="xc-accrodion-content">
                        <div class="inner">
                            <p>Our privacy policy ensures the protection of user data:</p>
                            <ul class="ml-100 faqs_left_margin_small_screen_none">

                                <!--<li>We collect minimal personal information necessary for quiz functionality.-->
                                <!--</li>-->
                                <!--<li>User data is never sold to third parties.</li>-->
                                <li>Quiz responses are anonymized for analysis and improvement of our AI.</li>
                                <!--<li>Users can request deletion of their data at any time.</li>-->
                                <li>We use industry-standard security measures to protect all collected data.
                                </li>
                                <li>Read our full privacy policy <a href="{{ url('/terms') }}"
                                        class="fw-bold fs-5 text-black">here.</a></li>


                            </ul>
                        </div><!-- /.inner -->
                    </div>
                </div>
                <!--                        //////////-->
                <div class="xc-accrodion">
                    <div class="xc-accrodion-title">
                        <span class="xc-icon"><i class="fa-regular fa fa-question-circle"></i></span>
                        <h4>What are the terms and conditions of use?</h4>
                    </div>
                    <div class="xc-accrodion-content">
                        <div class="inner">
                            <p>Our terms and conditions cover the following key points:</p>
                            <ul class="ml-100 faqs_left_margin_small_screen_none">

                                <li>Publishers must own or have the right to use the websites where
                                    TriviaTrap.AI is embedded.</li>
                                <li>Content must be family-friendly and adhere to our community guidelines.</li>
                                <li>Publishers may not manipulate the quiz system or artificially inflate
                                    engagement.</li>
                                <li>TriviaTrap.AI reserves the right to remove the quiz from any site violating
                                    our terms.</li>
                                <li>Full terms and conditions can be found <a href="{{ url('/privacy') }}"
                                        class="fw-bold fs-5 text-black">here.</a></li>

                            </ul>
                        </div><!-- /.inner -->
                    </div>
                </div>

                <!--                        //////////-->
            </div>
        </div>
    </div>
</section>
<!-- faq one end  -->
<?php include('footer.php') ?>